= nng_msg_header(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_msg_header - return message header

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

void *nng_msg_header(nng_msg *msg);
----

== DESCRIPTION

The `nng_msg_header()` function returns a pointer to the start of the header
content of the message _msg_.

NOTE: The message header contains protocol-specific header content.  Most
applications should not need to access this content, but it is available
for raw mode sockets (set with the
xref:nng_options.5.adoc#NNG_OPT_RAW[`NNG_OPT_RAW`] option.)

NOTE: The value returned by this is invalidated by a call to any of the
functions that modify the message or the header content.

== RETURN VALUES

Pointer to start of message header.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_msg_alloc.3.adoc[nng_msg_alloc(3)],
xref:nng_msg_body.3.adoc[nng_msg_body(3)],
xref:nng_msg_free.3.adoc[nng_msg_free(3)],
xref:nng_msg_header_append.3.adoc[nng_msg_header_append(3)],
xref:nng_msg_header_chop.3.adoc[nng_msg_header_chop(3)],
xref:nng_msg_header_insert.3.adoc[nng_msg_header_insert(3)]
xref:nng_msg_header_len.3.adoc[nng_msg_header_len(3)],
xref:nng_msg_header_trim.3.adoc[nng_msg_header_trim(3)],
xref:nng_msg.5.adoc[nng_msg(5)],
xref:nng.7.adoc[nng(7)]
